#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	radcli
Version		:	1.4.0
Release		:	17.2.105.rel%{?dist}
Summary		:	RADIUS protocol client library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-2-Clause
URL		:	https://github.com/radcli/radcli

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libtool, automake, autoconf
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	nettle	 >= 2.7.1
BuildRequires	:	gnutls

#-----------------------------------------------------------------------------
%description
The radcli library is a library for writing
RADIUS Clients. The library's approach is
to allow writing RADIUS-aware application
in less than 50 lines of C code.
It was based originally on freeradius-client and
is source compatible with it.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/radiusclient.conf
%config(noreplace) %{_sysconfdir}/%{name}/radiusclient-tls.conf
%config(noreplace) %{_sysconfdir}/%{name}/servers
%config(noreplace) %{_sysconfdir}/%{name}/servers-tls
%config(noreplace) %{_sysconfdir}/%{name}/dictionary
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}/dictionary
%{_datadir}/%{name}/dictionary.roaringpenguin
%{_datadir}/%{name}/dictionary.microsoft
%{_datadir}/%{name}/dictionary.ascend
%{_datadir}/%{name}/dictionary.compat
%{_datadir}/%{name}/dictionary.merit
%{_datadir}/%{name}/dictionary.sip
 

#=============================================================================
%package		devel
Summary		:	Development files for radcli

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel 
This package contains libraries and header files
for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/freeradius-client.h
%{_includedir}/radiusclient-ng.h
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/libfreeradius-client.so
%{_libdir}/libradiusclient-ng.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.h.3.gz
%{_mandir}/man3/rc_*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-rpath					\
	--with-nettle					\
	--with-tls					\
	--enable-legacy-compat				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
        DESTDIR=%{buildroot}				\
        install

%{__cp} -p						\
	%{buildroot}%{_datadir}/%{name}/dictionary	\
	%{buildroot}%{_sysconfdir}/%{name}/dictionary

#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
